---
id: 687d8e05a529a4838f1c961c
title: Step 3
challengeType: 20
dashedName: step-3
---

# --description--

Next, remove the `pass` keyword inside the `Node` class, then give the `Node` class an `__init__` method with two parameters, `self` and `element`.

Inside the method, assign `element` to `self.element`. This stores the value passed when creating a node.

# --hints--

You should define an `__init__` method inside your `Node` class.

```js
({ 
    test: () => runPython(`assert _Node(_code).find_class("LinkedList").find_class("Node").has_function("__init__")`) 
})
```

Your `__init__` method should have two parameters, `self` and `element`.

```js
({ 
    test: () => runPython(`assert _Node(_code).find_class("LinkedList").find_class("Node").find_function("__init__").has_args("self, element")`) 
})
```

You should assign `element` to `self.element` inside the `__init__` method.

```js
({ 
    test: () => runPython(`
    n = LinkedList.Node("A") 
    assert n.element == "A"
    `) 
})
```

# --seed--

## --seed-contents--

```py
class LinkedList:
--fcc-editable-region--
    class Node:
        pass
--fcc-editable-region--
```
